> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Metadata

<Info>**Credit cost:** 0.1 per request.</Info>

<Warning>
  Response field `token_stats` is deprecated, use `stats` instead. See the
  [changelog](/data/api/changelog/2026-05-22).
</Warning>

Get metadata for a given token.

The parameter `return_token_stats` will include token aggregates in the response under `stats`. Costs 0.5 credit per request instead of 0.1.

See [indexed tokens](/data/api/token-model#indexed-tokens) for context on the `is_indexed` attribute.


## OpenAPI

````yaml GET /v0/tokens/metadata/{chain}/{token_address}
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/tokens/metadata/{chain}/{token_address}:
    get:
      tags:
        - v0
      summary: Get Token Metadata
      operationId: get_token_metadata_v0_tokens_metadata__chain___token_address__get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainIdV0'
        - name: token_address
          in: path
          required: true
          schema:
            type: string
            title: Token Address
        - name: return_token_stats
          in: query
          required: false
          schema:
            type: boolean
            title: Include token stats (aggregates) in the response.
            default: false
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenDetailsWithStatsV0'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ChainIdV0:
      type: string
      enum:
        - eth
        - base
        - solana
        - tron
        - bsc
        - sonic
        - ton
        - avalanche
        - polygon
        - monad
        - hyperevm
        - arbitrum
        - robinhood
      title: ChainIdV0
    TokenDetailsWithStatsV0:
      properties:
        token_key:
          $ref: '#/components/schemas/TokenKey'
        metadata:
          $ref: '#/components/schemas/TokenMetadata'
        stats:
          anyOf:
            - $ref: '#/components/schemas/TokenAggregates'
            - type: 'null'
      type: object
      required:
        - token_key
        - metadata
      title: TokenDetailsWithStatsV0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TokenKey:
      properties:
        chain:
          $ref: '#/components/schemas/ChainIdV0'
        address:
          type: string
          title: Address
      type: object
      required:
        - chain
        - address
      title: TokenKey
    TokenMetadata:
      properties:
        name:
          type: string
          title: Name
        symbol:
          type: string
          title: Symbol
        is_indexed:
          type: boolean
          title: Is Indexed
        img_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Img Url
      type: object
      required:
        - name
        - symbol
        - is_indexed
      title: TokenMetadata
    TokenAggregates:
      properties:
        transfers_count:
          type: integer
          title: Transfers Count
        min_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Min Date
        max_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Max Date
      type: object
      required:
        - transfers_count
      title: TokenAggregates
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````